Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84401 - (IDE SI3112)long pause (hde: no response) when system boots
Summary: (IDE SI3112)long pause (hde: no response) when system boots
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-15 19:14 UTC by Chris Runge
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:32 UTC


Attachments (Terms of Use)
lspci -v output of system with the problem (deleted)
2003-02-15 19:16 UTC, Chris Runge
no flags Details

Description Chris Runge 2003-02-15 19:14:44 UTC
Description of problem:

When the system boots it finds the attached IDE DVD-ROM drive, e.g,

hdc: TOSHIBA DVD-ROM SD-M1612, ATAPI CD/DVD-ROM drive

it then has a long pause (~ 30 secs), after which it spits out the following
message:

hdc: no response (status = 0xfe) 

it then pauses again, after which it continues booting

Version-Release number of selected component (if applicable):

kernel-2.4.20-2.48 (in Phoebe 8.0.94)

How reproducible:

everytime. this happens when booting from the CD-ROM as well as from the hard
drive after the operating system has been installed

Comment 1 Chris Runge 2003-02-15 19:16:43 UTC
Created attachment 90110 [details]
lspci -v output of system with the problem

see attached lspci -v output

I'm not sure if the problem is due to a misrecognition of the Intel chipset.
The motherboard is an Intel D845PTBT2, which has an Intel 845PE chipset, not
the 845G/GL that is listed in lspci

Comment 2 Alan Cox 2003-02-15 22:48:17 UTC
Three questions

1. Does the same occur if there isa disc in the drive
2. If you tell it not to use DMA does the same happen ?
3. After the boot /pause what does hdparm -d /dev/hdc say


Comment 3 Chris Runge 2003-02-16 15:33:16 UTC
apologies, I appear to have been seeing things when I jotted down the initial
output from the system. It isn't hdc that is having no response; rather, it
appears to be the devices assigned to the Serial ATA RAID controller that is on
this board. Note that I don't actually have any Serial ATA RAID drives attached.

here is a snippet from dmesg that shows the problem:

SiI3112 Serial ATA: IDE controller at PCI slot 02:06.0
PCI: Found IRQ 10 for device 02:06.0
PCI: Sharing IRQ 10 with 02:01.2
SiI3112 Serial ATA: chipset revision 1
SiI3112 Serial ATA: not 100% native mode: will probe irqs later
    ide2: MMIO-DMA at 0xe080dc00-0xe080dc07, BIOS settings: hde:pio, hdf:pio
    ide3: MMIO-DMA at 0xe080dc08-0xe080dc0f, BIOS settings: hdg:pio, hdh:pio
hda: WDC WD1200JB-75CRA0, ATA DISK drive
blk: queue c03caf40, I/O limit 4095Mb (mask 0xffffffff)
hdc: TOSHIBA DVD-ROM SD-M1612, ATAPI CD/DVD-ROM drive
hde: no response (status = 0xfe)
hdg: no response (status = 0xfe)

Is there a way to disable this timeout? It doesn't seem to affect the system,
other than taking an extra minute or so to boot.

Comment 4 Alan Cox 2003-06-05 15:07:21 UTC
I dont see an easy way of removing it in this case. 


Comment 5 Bugzilla owner 2004-09-30 15:40:32 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.